// Copyright 2019 Kina Wakasa
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     https://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

import 'package:lokv/src/batch.dart';

import 'persistent_lokv.dart';

/// A abstract implementation of [PersistentLoKV]
class PersistentLoKVImpl extends PersistentLoKV {
  PersistentLoKVImpl(String name) : super(name);

  @override
  Future<void> unsafeClose() => throw UnsupportedError('');

  @override
  Future<void> unsafeDrop() => throw UnsupportedError('');

  @override
  Future<void> unsafeOpen() => throw UnsupportedError('');

  @override
  Future<List<String>> unsafeRead(List<ReadOp> ops) =>
      throw UnsupportedError('');

  @override
  Future<void> unsafeWrite(List<WriteOp> ops) => throw UnsupportedError('');
}
