// Copyright 2019 Kina Wakasa
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     https://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

import 'abstract_persistent_lokv.dart'
    if (dart.library.io) 'abstract_persistent_lokv.dart'
    if (dart.library.js) 'indexeddb_persistent_lokv.dart';
import 'lokv.dart';

/// A persistent implementation of [LoKV]
/// All data will not be lost after the program exits.
abstract class PersistentLoKV extends LoKV {
  PersistentLoKV(String name) : super(name);

  static bool get supported => false;

  factory PersistentLoKV.create(String name) {
    return PersistentLoKVImpl(name);
  }
}
